package com.bocloud.ims.interfaces.h3c;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Ip;
import com.bocloud.ims.entity.resource.NetworkCard;
import com.bocloud.ims.entity.resource.Subnet;
import com.bocloud.ims.entity.resource.Switcher;

import java.util.List;
import java.util.Map;

/**
 * @author hufy
 */
public interface H3cNetworkService {

	public BocloudResult<List<Map<String, Object>>> switchers(Long hostId);

	public BocloudResult<GridBean<Switcher>> list(Pager pager, RequestContext context);

	BocloudResult<List<NetworkCard>> netcards(Long hostId);

	BocloudResult<Subnet> getSubnetBySwitcher(Long vSwitchId);

	BocloudResult<List<Ip>> getIp(Long vendorId, Long count);

}
